> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vinmake.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Mark Attendance

> Mark an employee's attendance for a day. Restricted to Manager / Admin /
Director / HR. One record per employee per day (enforced by the DB).



## OpenAPI

````yaml /api/openapi-cutmake.json post /api/v1/attendance
openapi: 3.1.0
info:
  title: VM App API
  version: 0.1.0
servers:
  - url: https://vinmake-erp.onrender.com
security: []
paths:
  /api/v1/attendance:
    post:
      tags:
        - 'Admin Sector: Attendance'
      summary: Mark Attendance
      description: |-
        Mark an employee's attendance for a day. Restricted to Manager / Admin /
        Director / HR. One record per employee per day (enforced by the DB).
      operationId: mark_attendance_api_v1_attendance_post
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AttendanceCreate'
      responses:
        '201':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AttendanceResponse'
        '401':
          description: Unauthorized
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - OAuth2PasswordBearer: []
components:
  schemas:
    AttendanceCreate:
      properties:
        employeeId:
          type: string
          title: Employeeid
        attendanceDate:
          type: string
          title: Attendancedate
        status:
          type: string
          title: Status
          default: present
        checkIn:
          anyOf:
            - type: string
            - type: 'null'
          title: Checkin
        checkOut:
          anyOf:
            - type: string
            - type: 'null'
          title: Checkout
        notes:
          anyOf:
            - type: string
            - type: 'null'
          title: Notes
      type: object
      required:
        - employeeId
        - attendanceDate
      title: AttendanceCreate
    AttendanceResponse:
      properties:
        id:
          type: string
          title: Id
        orgId:
          type: string
          title: Orgid
        employeeId:
          type: string
          title: Employeeid
        attendanceDate:
          type: string
          title: Attendancedate
        status:
          type: string
          title: Status
        checkIn:
          anyOf:
            - type: string
            - type: 'null'
          title: Checkin
        checkOut:
          anyOf:
            - type: string
            - type: 'null'
          title: Checkout
        notes:
          anyOf:
            - type: string
            - type: 'null'
          title: Notes
        createdAt:
          anyOf:
            - type: string
            - type: 'null'
          title: Createdat
        updatedAt:
          anyOf:
            - type: string
            - type: 'null'
          title: Updatedat
      type: object
      required:
        - id
        - orgId
        - employeeId
        - attendanceDate
        - status
      title: AttendanceResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: /auth/login

````